repositories {
    maven {
        url = uri("https://maven.terraformersmc.com/releases")
        content { includeGroup("com.terraformersmc") }
    }
}

object Groups {
    const val Fabric: String = "net.fabricmc"
    const val FabricApi: String = "$Fabric.fabric-api"
}

architectury { platformSetupLoomIde(); fabric() }

dependencies {
    modImplementation("${Groups.Fabric}:fabric-loader:${rootProject.property("fabric_loader_version")}")
    include(modApi("${Groups.FabricApi}:fabric-rendering-v1:${rootProject.property("fabric_rendering_api_version")}")!!)
    include(modApi("${Groups.FabricApi}:fabric-api-base:${rootProject.property("fabric_api_base_version")}")!!)
    include(modRuntime("${Groups.FabricApi}:fabric-resource-loader-v0:${rootProject.property("fabric_resource_loader_version")}")!!)
    modImplementation(group = "net.fabricmc", name = "fabric-language-kotlin", version = "1.5.0+kotlin.1.4.31")
    modRuntime(modCompileOnly("com.terraformersmc:modmenu:${rootProject.property("modmenu_version")}") {
        exclude(group = Groups.FabricApi, module = "fabric-api-base")
        exclude(group = Groups.FabricApi, module = "fabric-resource-loader-v0")
    })
    implementation(project(path = ":common")) { isTransitive = false }
    add("developmentFabric", project(path = ":common")) { isTransitive = false }
    shadowC(project(path = ":common", configuration = "transformProductionFabric")) { isTransitive = false }
}

